Skip to main content
GET
/
v1
/
boards
/
{id}
Get a board
curl --request GET \
  --url https://api.chatgrid.ai/v1/v1/boards/{id} \
  --header 'Authorization: Bearer <token>'
{
  "object": "board",
  "data": {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "name": "Q1 Marketing Plan",
    "created_at": "2026-03-15T10:30:00.000Z",
    "updated_at": "2026-03-15T12:45:00.000Z",
    "is_public": false,
    "public_access_level": null,
    "viewport_x": 0,
    "viewport_y": 0,
    "viewport_zoom": 1,
    "flow_state": {
      "viewMode": "canvas",
      "nodes": [
        {}
      ],
      "edges": [
        {}
      ],
      "viewport": {
        "x": 123,
        "y": 123,
        "zoom": 123
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Pass your API key (prefixed cgk_) or a Supabase JWT in the Authorization: Bearer <token> header.

Path Parameters

id
string<uuid>
required
Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

Response

Board details.

object
enum<string>
Available options:
board
data
object